#!/usr/bin/perl

sub usage
{
	$prog = shift @_;
	print "Usage: $prog <working directory>\n";
	exit 1;
}

sub write_file
{
	my ( $f, @data ) = @_;
	@data = () unless @data;
	open F, "> $f" or die "Can't open $f : $!";
	print F @data;
	close F;
}

sub read_file
{
	my ( $f ) = @_;
	open F, "< $f" or die "Can't open $f : $!";
	my @f = <F>;
	close F;
}

$NUMFILES=10000;
$FILESIZE=1024;
@buf=(0 .. 377);

if ($#ARGV != 0) {
	usage($0);
}
$workdir = $ARGV[0];

for ($i=0 ; $i < $NUMFILES ; $i++)
{
	write_file("$workdir/file-$i", @buf);
}

for ($i=0 ; $i < $NUMFILES ; $i++)
{
	read_file("$workdir/file-$i", @buf);
}

for ($i=0 ; $i < $NUMFILES ; $i++)
{
	unlink("$workdir/file-$i");
}
