#!/bin/sh

# Creating 10,000 1KB files by opening a non-existent file, writing 1KB of data,
# and closing the file.

DIR=$1
NUMFILES=10000

if [ -z "$DIR" ] ; then
	echo "usage: lfs-sm1.sh <work directory>"
	exit 1
fi

if [ ! -d $DIR ] ; then
	echo "ERROR: could not find directory $DIR"
	exit 1
fi

for ((i=0; i < NUMFILES ; i++))
do
	cp 1k $DIR/file-$i
done
# reading the files.

for ((i=0; i < NUMFILES ; i++))
do
	cat $DIR/file-$i > /dev/null
done


# Deleting the files.

for ((i=0; i < NUMFILES ; i++))
do
	rm -f $DIR/file-$i
done
